Xorg crashed with SIGABRT in mieqMoveToNewScreen()

Bug #1208473 reported by Dylan Borg on 2013-08-05
90
This bug affects 11 people
Affects Status Importance Assigned to Milestone
X.Org X server
Invalid
Undecided
Unassigned
Fedora
Invalid
Undecided
Unassigned
xorg-server (Ubuntu)
Medium
Maarten Lankhorst
Trusty
Medium
Maarten Lankhorst

Bug Description

apport showed up

ProblemType: Crash
DistroRelease: Ubuntu 13.10
Package: xserver-xorg-core 2:1.14.2-0ubuntu7
Uname: Linux 3.11.0-rc1-custom i686
.tmp.unity.support.test.0:

ApportVersion: 2.12-0ubuntu2
Architecture: i386
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
Date: Mon Aug 5 15:32:06 2013
DistUpgraded: 2013-08-04 14:50:50,172 DEBUG enabling apt cron job
DistroCodename: saucy
DistroVariant: ubuntu
DkmsStatus:
 virtualbox, 4.2.16, 3.10.0-6-generic, i686: installed
 virtualbox, 4.2.16, 3.11.0-rc1-custom, i686: installed
 virtualbox-guest, 4.2.16: added
ExecutablePath: /usr/bin/Xorg
GraphicsCard:
 Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0102] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: ASUSTeK Computer Inc. Device [1043:844d]
InstallationDate: Installed on 2011-11-11 (633 days ago)
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111012)
MachineType: System manufacturer System Product Name
MarkForUpload: True
ProcCmdline: /usr/bin/X -core :0 -auth /var/run/lightdm/root/:0 -nolisten tcp vt7 -novtswitch
ProcEnviron:

ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.11.0-rc1-custom root=UUID=239a7bf6-c6d6-468d-90fb-5705e76c8def ro crashkernel=384M-2G:64M,2G-:128M quiet splash vt.handoff=7
Signal: 6
SourcePackage: xorg-server
StacktraceTop:
 mieqProcessDeviceEvent ()
 mieqProcessInputEvents ()
 ?? ()
 DisableDevice ()
 ?? ()
Title: Xorg crashed with SIGABRT in mieqProcessDeviceEvent()
UpgradeStatus: Upgraded to saucy on 2013-08-04 (1 days ago)
UserGroups:

dmi.bios.date: 07/15/2011
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 0703
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: P8H67-M
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr0703:bd07/15/2011:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnP8H67-M:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer
version.compiz: compiz 1:0.9.9~daily13.06.19~13.04-0ubuntu1
version.libdrm2: libdrm2 2.4.46-0ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 9.1.4-0ubuntu5
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 9.1.4-0ubuntu5
version.xserver-xorg-core: xserver-xorg-core 2:1.14.2-0ubuntu7
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.3-0ubuntu3.1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.1.0-0ubuntu2.1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.21.12-1ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.8-0ubuntu1.1
xserver.bootTime: Mon Aug 5 15:32:10 2013
xserver.configfile: default
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id 8954
 vendor ACI
xserver.version: 2:1.14.2-0ubuntu7

Version-Release number of selected component:
xorg-x11-server-Xorg-1.13.1-4.fc18

Additional info:
backtrace_rating: 4
cmdline: /usr/bin/Xorg :0 -background none -verbose -auth /var/run/gdm/auth-for-gdm-72g9GE/database -seat seat0 -nolisten tcp vt1
crash_function: mieqMoveToNewScreen
executable: /usr/bin/Xorg
kernel: 3.7.2-204.fc18.x86_64
remote_result: NOTFOUND
uid: 0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 mieqMoveToNewScreen at mieq.c:490
 #2 mieqProcessDeviceEvent at mieq.c:526
 #3 mieqProcessInputEvents at mieq.c:623
 #4 TouchEndPhysicallyActiveTouches at touch.c:1043
 #5 DisableDevice at devices.c:446
 #6 RemoveDevice at devices.c:1092
 #7 DeleteInputDeviceRequest at xf86Xinput.c:1013
 #8 CloseDeviceList at devices.c:997
 #9 CloseDownDevices at devices.c:1026
 #10 AbortServer at log.c:651

Created attachment 684216
File: backtrace

Created attachment 684217
File: cgroup

Created attachment 684218
File: core_backtrace

Created attachment 684219
File: dso_list

Created attachment 684220
File: environ

Created attachment 684221
File: limits

Created attachment 684222
File: maps

Created attachment 684223
File: open_fds

Created attachment 684224
File: proc_pid_status

Created attachment 684225
File: var_log_messages

Dylan Borg (borgdylan) wrote :

StacktraceTop:
 mieqMoveToNewScreen (event=0xb776d9e0 <event.15208>, event=0xb776d9e0 <event.15208>, screen=0xb904b0d0, dev=0xb92acef0) at ../../mi/mieq.c:494
 mieqProcessDeviceEvent (dev=dev@entry=0xb92acef0, event=event@entry=0xb776d9e0 <event.15208>, screen=screen@entry=0xb904b0d0) at ../../mi/mieq.c:536
 mieqProcessInputEvents () at ../../mi/mieq.c:627
 TouchEndPhysicallyActiveTouches (dev=dev@entry=0xb92b7b00) at ../../dix/touch.c:1047
 DisableDevice (dev=dev@entry=0xb92b7b00, sendevent=sendevent@entry=0 '\000') at ../../dix/devices.c:455

Changed in xorg-server (Ubuntu):
importance: Undecided → Medium
summary: - Xorg crashed with SIGABRT in mieqProcessDeviceEvent()
+ Xorg crashed with SIGABRT in mieqMoveToNewScreen()
tags: removed: need-i386-retrace
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xorg-server (Ubuntu):
status: New → Confirmed
information type: Private → Public
Timo Aaltonen (tjaalton) on 2013-09-26
Changed in xorg-server (Ubuntu):
importance: Medium → High

This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be
able to fix it before Fedora 18 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged change the 'version' to a later Fedora
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Dylan Borg, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p xorg-server REPLACE-WITH-BUG-NUMBER

Please note, given that the information from the prior release is already available, doing this on a release prior to the development one would not be helpful.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Changed in xorg-server (Ubuntu):
importance: High → Low
status: Confirmed → Incomplete
tags: added: trusty
tags: added: bios-outdated-3804

Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

dino99 (9d9) wrote :

Christopher, please, set back the importance to 'high' as that report have been confirmed recently by dupes. Thanks.

Changed in xorg-server (Ubuntu):
status: Incomplete → Confirmed
Maarten Lankhorst (mlankhorst) wrote :

It can happen on a vt switch, happened for me when I had valgrind enabled...

Changed in xorg-server (Ubuntu):
importance: Low → Medium
Maarten Lankhorst (mlankhorst) wrote :

I found a way to reproduce this specific bug at least.

Run xorg-server in valgrind to slow it down, hammer on the touchpad like an idiot and the touchpad buttons too. Run chvt 1 to switch away but keep hammering. Observe instant crash. :)

Changed in xorg-server (Ubuntu):
assignee: nobody → Maarten Lankhorst (mlankhorst)
status: Confirmed → Triaged

To reproduce:
- Run xorg-server in valgrind to slow it down enough.
- Hammer on the touchpad like a madman.
- ssh in and chvt away while hammering.
- Observe the following crash in X.org:

[ 2444.985] (EE) BUG: triggered 'if (!dev->spriteInfo->sprite)'
[ 2444.987] (EE) BUG: ../../mi/mieq.c:497 in mieqMoveToNewScreen()
[ 2444.989] (EE)
[ 2444.991] (EE) Backtrace:
[ 2445.012] (EE) 0: /usr/bin/Xorg (mieqProcessDeviceEvent+0x114) [0x2932b4]
[ 2445.019] (EE) 1: /usr/bin/Xorg (mieqProcessInputEvents+0xf7) [0x293447]
[ 2445.027] (EE) 2: /usr/bin/Xorg (ProcessInputEvents+0x9) [0x19b159]
[ 2445.037] (EE) 3: /usr/bin/Xorg (xf86VTSwitch+0x365) [0x19ba75]
[ 2445.046] (EE) 4: /usr/bin/Xorg (WakeupHandler+0x6d) [0x1625ad]
[ 2445.056] (EE) 5: /usr/bin/Xorg (WaitForSomething+0x1bf) [0x2ae48f]
[ 2445.065] (EE) 6: /usr/bin/Xorg (SendErrorToClient+0xe1) [0x15d9d1]
[ 2445.073] (EE) 7: /usr/bin/Xorg (remove_fs_handlers+0x40a) [0x161afa]
[ 2445.079] (EE) 8: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xf5) [0x6f6dec5]
[ 2445.088] (EE) 9: /usr/bin/Xorg (_start+0x29) [0x14cfee]
[ 2445.093] (EE) 10: ? (?+0x29) [0x29]
[ 2445.094] (EE)

Changed in xorg-server:
importance: Unknown → Medium
status: Unknown → Confirmed
Changed in xorg-server:
status: Confirmed → In Progress

Created attachment 99376
0001-mi-don-t-process-events-from-disabled-devices-77884.patch

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-server - 2:1.15.1-0ubuntu5

---------------
xorg-server (2:1.15.1-0ubuntu5) utopic; urgency=low

  * Add upstream patch to fix some valgrind issues.
    - xi-dont-copy-too-much.patch
  * Fix crash related to suspend/shutdown. (LP: #1208473)
    - mi-dont-process-disabled.patch
 -- Maarten Lankhorst <email address hidden> Tue, 20 May 2014 11:32:41 +0200

Changed in xorg-server (Ubuntu):
status: Triaged → Fix Released

Hello Dylan, or anyone else affected,

Accepted xorg-server into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/xorg-server/2:1.15.1-0ubuntu2.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Changed in xorg-server (Ubuntu Trusty):
status: New → Fix Committed
assignee: nobody → Maarten Lankhorst (mlankhorst)
importance: Undecided → Medium
Maarten Lankhorst (mlankhorst) wrote :

Seems to fix the vt switching bug.

tags: added: verification-done
removed: verification-needed
Brian Murray (brian-murray) wrote :

Looking at the crash for this bug in the Ubuntu Error Tracker there are no instances of it with the version of the package from trusty-proposed.

https://errors.ubuntu.com/bucket/?id=/usr/bin/Xorg%3A6%3AmieqMoveToNewScreen%3AmieqProcessDeviceEvent%3AmieqProcessInputEvents%3ATouchEndPhysicallyActiveTouches%3ADisableDevice

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-server - 2:1.15.1-0ubuntu2.1

---------------
xorg-server (2:1.15.1-0ubuntu2.1) trusty-proposed; urgency=medium

  * Copy utopic package back to trusty.
    - Fix ppc64el byte order. (LP: #1333422)
      + xi-dont-copy-too-much.patch
    - Fix valgrind issue with xi copying too much.
      + xi-dont-copy-too-much.patch
    - Fix crash related to suspend/shutdown. (LP: #1208473)
      + mi-dont-process-disabled.patch
    - Fix touch event history overflow.
      + xi2-resize-touch.patch
    - Fix switching to guest sessions. (LP: #1322212)
      + Revive drm_device_keep_trying.patch
 -- Maarten Lankhorst <email address hidden> Wed, 02 Jul 2014 12:37:25 +0200

Changed in xorg-server (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for xorg-server has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

tags: removed: bios-outdated-3804 ubuntu

Mathew Hodson, please do not remove any tags. These are used for tracking purposes, irrespective of how the bug report concludes.

tags: added: bios-outdated-3804 ubuntu

seems this patch is in 1.17 at least, and seems to be working.. so closing

Changed in xorg-server:
status: In Progress → Fix Released
Changed in fedora:
importance: Unknown → Undecided
status: Unknown → Won't Fix
Changed in xorg-server:
importance: Medium → Undecided
status: Fix Released → New
status: New → Invalid
Changed in fedora:
status: Won't Fix → New
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.